Podręcznik PHP
Poprzedni |  | Następny

# finfo_buffer

(PECL)

finfo_buffer -- Return information about a string buffer

## Opis

string finfo_buffer ( resource finfo, string string [, int options] )
class finfo {
string buffer ( string string [, int options] )
}

This function is used to get information about binary data in a string.

## Parametry

finfo

  Fileinfo resource returned by finfo_open().

string

  Content of a file to be checked.

options

  One or disjunction of more Fileinfo constants.

## Zwracane wartości

Returns a textual description of the string argument, or `FALSE` if an error occurred.

## Przykłady

Przykład 1. A finfo_buffer() example

`<?php $finfo = new finfo(FILEINFO_MIME); echo $finfo->buffer($_POST["script"]) . "\n"; ?>`

Powyższy przykład wyświetli coś podobnego do:

    application/x-sh

## Patrz także

finfo_file()

Poprzedni | Spis treści | Następny
Fileinfo Functions | Początek rozdziału | finfo_close